
#define RED                         0x001F
#define GREEN                       0x07E0
#define BLUE                        0xF800
#define YELLOW                      0x07FF
#define PURPLE                      0xF81F
#define BLACK                       0x0000
#define WHITE                       0xFFFF

#define HIGH 1
#define LOW  0


void tftlcd_write_index_register(int command);



void tftlcd_init(void);
void LCD_WindowMax (unsigned int x,unsigned int y,unsigned int x_end,unsigned int y_end);
void tftlcd_clear(void);
void tftlcd_Fill(int Color);

void tftlcd_write_pixel(int x,int y,int color);
void tftlcd_draw_line(int,int,int,int,int);
void tftlcd_draw_rectangle(int,int,int,int,char,int);
void tftlcd_draw_circle(int x0,int y0,int radius,char fill,int color); 
void tftlcd_write_pic(int,int,const unsigned short *);
void tftlcd_putrect(int x,int y,int ex,int ey, char *bmp);

void tftlcd_gotoxy(int,int);
void tftlcd_putchar(char,int,int,int);
void tftlcd_puts(const char *,int,int,int);
