//---------------------------------------------------------------------------------
//							   Sofware I2c 
//				   Write By Mohammad mazarei @ 1390/6/17
//					Email: mohammad.mazarei@gmail.com
//					 Publish In KavirElectronic.ir
//---------------------------------------------------------------------------------
#ifndef SWI2C_H
#define SWI2C_H

#define I2cSW_PORT		AT91C_BASE_PIOA  // or AT91C_BASE_PIOB
#define I2cSW_SDA		10                 // PA10
#define I2cSW_SCL		11                 // PA11
#define I2cSW_PMC_PORT	AT91C_ID_PIOA	 // or AT91C_ID_PIOB

// MAx Clk IS 1000 Khz
#define I2cSW_CLK		100	 // in KHz	MAX 1000Khz


#define	ACK				1						// Ack empfangen
#define	NACK			0						// Ack nicht empfangen


void i2csw_init(void);
void i2csw_start(void);
void i2csw_stop(void);
unsigned char i2csw_write(unsigned char b);
unsigned char i2csw_read(unsigned char a);

#endif

